/* global Bdf,BdfApi,Fql,$$,Overlay,Index */

Index.FicheInfo = function (fichotheque, corpus, id, editable, options) {
    this.fichotheque = fichotheque;
    this.corpus = corpus;
    this.id = id;
    this.editable = false;
    this.htmlTemplate = "";
    this.odtTemplate = "";
    if (options) {
        if (options.htmlTemplate) {
            this.htmlTemplate = options.htmlTemplate;
        }
        if (options.odtTemplate) {
            this.odtTemplate = options.odtTemplate;
        }
    }
};

Index.FicheInfo.prototype.getHtmlHref = function () {
    var href = this.fichotheque + "/fiches/" + this.corpus + "-" + this.id;
    if (this.htmlTemplate) {
        href = href + "-" + this.htmlTemplate;
    }
    return href + ".html";
};

Index.FicheInfo.prototype.getOdtHref = function () {
    var href = this.fichotheque + "/fiches/" + this.corpus + "-" + this.id;
    if (this.odtTemplate) {
        href = href + "-" + this.odtTemplate;
    }
    return href + ".odt";
};
